Changelog
=========


v0.0.5 (2024-12-05)
-------------------

Bug fixes
~~~~~~~~~
- Check obj exists in admin change view [Adrien Delhorme]

Documentation
~~~~~~~~~~~~~
- Update changelog [Adrien Delhorme]


v0.0.4 (2024-09-26)
-------------------

Features
~~~~~~~~
- Show edition and publication dates on publish buttons [Adrien
  Delhorme]

Bug fixes
~~~~~~~~~
- Admin button title when no last_publication_date [Adrien Delhorme]

Documentation
~~~~~~~~~~~~~
- Update changelog [Adrien Delhorme]


v0.0.3 (2024-04-09)
-------------------

Bug fixes
~~~~~~~~~
- Avoid exception when request.META does not contain REQUEST_URI [Adrien
  Delhorme]

Documentation
~~~~~~~~~~~~~
- Add badges [Benjamin PIERRE]
- Update changelog [Benjamin PIERRE]


v0.0.2 (2024-03-07)
-------------------

Features
~~~~~~~~
- Add coverage in gitlab ci config [Benjamin PIERRE]

Documentation
~~~~~~~~~~~~~
- Update readme [Benjamin PIERRE]
- Add documentation [Benjamin PIERRE]
- Update changelog [Benjamin PIERRE]

Maintenance
~~~~~~~~~~~
- Add credits and how to contribute [Benjamin PIERRE]

Other
~~~~~
- Add coverage in CI [Benjamin PIERRE]


v0.0.1 (2024-03-07)
-------------------

Features
~~~~~~~~
- Add tests for create_draft method [Benjamin PIERRE]

Other
~~~~~
- A bug where o2o cascade constraint car remove the public object in
  draft publication [Benjamin PIERRE]
- Add test for publication dates [Benjamin PIERRE]
- Add test for publication dates [Benjamin PIERRE]
- Add test for draft object slug like models [Benjamin PIERRE]
- Update admin submit line for regular admin [Benjamin PIERRE]
- Update locales for en and fr [Benjamin PIERRE]
- Add some tests, handle new cases in drafts publication [Benjamin
  PIERRE]
- Handle m2m trough in model + test [Benjamin PIERRE]
- Add -s option in pytest launch [Benjamin PIERRE]
- Add m2m field in test models + in
  test_can_publish_draft_when_draft_had_no_public [Benjamin PIERRE]
- Public object creation from draft when draft had no public version
  [Benjamin PIERRE]
- Has_unpublished_changes property [Benjamin PIERRE]
- Has_draft_version property [Benjamin PIERRE]
- And test has_public_version property [Benjamin PIERRE]
- Rewrite factories [Benjamin PIERRE]
- Model properties, improve conftest methods [Benjamin PIERRE]
- Propagate args to launch tests script [Benjamin PIERRE]
- Add some predefined queries for managers [Benjamin PIERRE]
- In DraftModelAdminMixin, dissociate querysets: -> Drafts in list view
  -> Publics in autocomplete [Benjamin PIERRE]
- Switch from CloneMixin to CloneModel [Benjamin PIERRE]
- Add missing package curl in gitlab-ci [Benjamin PIERRE]
- Remove apt package from gitlab-ci [Benjamin PIERRE]
- Configure gitlab-ci [Benjamin PIERRE]
- Retrieve second test for draft manager [Benjamin PIERRE]
- Retrieve first test from old package [Benjamin PIERRE]
- Extract code from existing project + setup tests [Benjamin PIERRE]
- Initialize module [Benjamin PIERRE]




.. Generated by gitchangelog
